Get published screener forecast
curl --request GET \
--url https://quantura.studio/api/v1/screener/forecasts/{ticker} \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/screener/forecasts/{ticker}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/screener/forecasts/{ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/screener/forecasts/{ticker}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/screener/forecasts/{ticker}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://quantura.studio/api/v1/screener/forecasts/{ticker}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/screener/forecasts/{ticker}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"forecast_id": "screener-example-TEST",
"status": "completed",
"prediction_length": 7,
"horizon_mode": "trading_sessions",
"frequency": "1D",
"published_screener": {
"ticker": "TEST",
"scan_id": "example"
},
"predictions": [
{
"timestamp": "2026-09-21T00:00:00Z",
"quantiles": {
"0.01": 80,
"0.1": 90,
"0.25": 95,
"0.5": 100,
"0.75": 105,
"0.9": 110,
"0.99": 120
}
}
],
"history": [
{
"timestamp": "2026-09-17T00:00:00Z",
"target": 99
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Screener
Get published screener forecast
GET
/
v1
/
screener
/
forecasts
/
{ticker}
Get published screener forecast
curl --request GET \
--url https://quantura.studio/api/v1/screener/forecasts/{ticker} \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/screener/forecasts/{ticker}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/screener/forecasts/{ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/screener/forecasts/{ticker}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/screener/forecasts/{ticker}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://quantura.studio/api/v1/screener/forecasts/{ticker}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/screener/forecasts/{ticker}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"forecast_id": "screener-example-TEST",
"status": "completed",
"prediction_length": 7,
"horizon_mode": "trading_sessions",
"frequency": "1D",
"published_screener": {
"ticker": "TEST",
"scan_id": "example"
},
"predictions": [
{
"timestamp": "2026-09-21T00:00:00Z",
"quantiles": {
"0.01": 80,
"0.1": 90,
"0.25": 95,
"0.5": 100,
"0.75": 105,
"0.9": 110,
"0.99": 120
}
}
],
"history": [
{
"timestamp": "2026-09-17T00:00:00Z",
"target": 99
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
bearerAuthclerkOAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
20Query Parameters
Exact published scan; old scan returns 404, never silently substitutes a new one.
Maximum string length:
160Optional attachment; omit for JSON data envelope.
Available options:
csv, json Response
Seven-session final ensemble and input history; example abbreviated
The response is of type object.